Page MenuHomePhabricator

Fix -Wdouble-promotion warnings.
ClosedPublic

Authored by brucem on Jun 1 2019, 10:50 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

brucem created this revision.Jun 1 2019, 10:50 AM

This looks fine to me; but where were you getting these warnings?

brucem added a comment.Jun 4 2019, 8:00 AM

I'd modified CMakeLists.txt to add -Wdouble-promotion and removed this line: -Wno-double-promotion # FIXME: remove me ...

mclow.lists accepted this revision.Jul 1 2019, 8:58 AM

Sorry for the slow response.

This revision is now accepted and ready to land.Jul 1 2019, 8:58 AM
Closed by commit rL364798: Fix -Wdouble-promotion warnings. (authored by brucem, committed by ). · Explain WhyJul 1 2019, 9:13 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptJul 1 2019, 9:13 AM